package com.bonus.canteen.core.account.v3.service;

import com.bonus.canteen.core.account.v3.api.vo.AccInfoDetailVO;
import com.bonus.canteen.core.account.v3.po.AccInfoUpdatePO;
import com.bonus.canteen.core.account.v3.web.dto.AccInfoDetailDTO;
import com.bonus.canteen.core.account.v3.web.vo.AccInfoVO;

public interface AccInfoService {
   AccInfoDetailVO getAccInfoDetail(AccInfoDetailDTO content);

   void updateAccInfo(AccInfoUpdatePO updatePO);


   AccInfoVO getAccInfoVoByCustId(Long custId);

   void checkAccInfoAndStatus(AccInfoVO accInfoVO);
}
